module "lidarr" {
  source = "./service"

  name  = "lidarr"
  image = "lscr.io/linuxserver/lidarr:1.3.5"

  ingress      = true
  service_port = 8686
  use_wesher   = var.use_wesher

  use_postgres = true
  postgres_bootstrap = {
    enabled = true
    databases = [
      "lidarr",
      "lidarr-logs",
    ]
  }

  env = {
    PGID = 100
    PUID = 1001
    TZ   = "America/Los_Angeles"
  }

  host_volumes = [
    {
      name      = "lidarr-config"
      dest      = "/config"
      read_only = false
    },
    {
      name      = "media-write"
      dest      = "/media"
      read_only = false
    },
  ]

  resources = {
    cpu    = 500
    memory = 1500
  }
}
