module "minitor" {
  source = "./service"

  name          = "minitor"
  image         = "iamthefij/minitor-go:1.4.1"
  args          = ["-metrics", "-config=$${NOMAD_TASK_DIR}/config.yml"]
  service_port  = 8080
  service_check = null
  use_wesher    = var.use_wesher
  prometheus    = true

  env = {
    TZ = "America/Los_Angeles",
  }

  templates = [
    {
      data        = <<EOF
      {{ with nomadVar "nomad/jobs/minitor" -}}
      MAILGUN_API_KEY={{ .mailgun_api_key }}
      {{ end -}}
      EOF
      dest        = "env"
      dest_prefix = "$${NOMAD_SECRETS_DIR}/"
      env         = true
    },
    {
      data            = file("${path.module}/minitor-config.yml")
      left_delimiter  = "[["
      right_delimiter = "]]"
      dest            = "config.yml"
      mount           = false
    },
  ]
}
